# Source me!
# vim: set sts=4 sw=4 et :

_check_uris_have_thumbnail() {
    local size=$1
    local uris=$2
    for i in "${uris[@]}"; do
        local thumb="${HOME}/.cache/thumbnails/${size}/$(echo -n "${i}" | md5sum | cut -f1 -d\ ).png"
        say $thumb
        if [[ ! -f "${thumb}" ]]; then
            whine "Couldn't find thumbnail $thumb, file $i didn't get thumbnailed!?"
            ret=1
        fi
    done
}
